{"openapi":"3.0.4","info":{"title":"Generate an ordered schedule of dates.","description":"Returns an ordered array of dates. The dates will only fall on business\r\ndays as defined by the scope and calendar codes in the valuation schedule.\r\n            \r\nValuations are made at a frequency defined by the valuation schedule's tenor, e.g. every day (\"1D\"),\r\nevery other week (\"2W\") etc. These dates will be adjusted onto business days as defined by the schedule's\r\nrollConvention.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/calendars/schedule/{scope}":{"post":{"tags":["Calendars"],"summary":"Generate an ordered schedule of dates.","description":"Returns an ordered array of dates. The dates will only fall on business\r\ndays as defined by the scope and calendar codes in the valuation schedule.\r\n            \r\nValuations are made at a frequency defined by the valuation schedule's tenor, e.g. every day (\"1D\"),\r\nevery other week (\"2W\") etc. These dates will be adjusted onto business days as defined by the schedule's\r\nrollConvention.","operationId":"GenerateSchedule","parameters":[{"name":"scope","in":"path","description":"Scope of the calendars to use","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"Optional AsAt for searching the calendar store. Defaults to Latest.","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"requestBody":{"description":"The ValuationSchedule to generate schedule dates from","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationSchedule"},"example":{"effectiveFrom":"2020-01-01","effectiveAt":"2021-01-01","tenor":"1M","holidayCalendars":["GBP","USD"],"valuationDateTimes":[],"businessDayConvention":"F"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationSchedule"},"example":{"effectiveFrom":"2020-01-01","effectiveAt":"2021-01-01","tenor":"1M","holidayCalendars":["GBP","USD"],"valuationDateTimes":[],"businessDayConvention":"F"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationSchedule"},"example":{"effectiveFrom":"2020-01-01","effectiveAt":"2021-01-01","tenor":"1M","holidayCalendars":["GBP","USD"],"valuationDateTimes":[],"businessDayConvention":"F"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ValuationSchedule"},"example":{"effectiveFrom":"2020-01-01","effectiveAt":"2021-01-01","tenor":"1M","holidayCalendars":["GBP","USD"],"valuationDateTimes":[],"businessDayConvention":"F"}}},"required":true},"responses":{"200":{"description":"An array of dates in chronological order.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"date-time"}}},"text/plain":{"schema":{"type":"array","items":{"type":"string","format":"date-time"}}},"text/json":{"schema":{"type":"array","items":{"type":"string","format":"date-time"}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}